# Uses of Interface
org.bukkit.persistence.PersistentDataContainer

Packages that use PersistentDataContainer
Package
Description
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.persistence
Classes that allow attaching persistent data to various objects.

## Uses of PersistentDataContainer in org.bukkit.block

Methods in org.bukkit.block that return PersistentDataContainer
Modifier and Type
Method
Description
`@NotNull PersistentDataContainer`
TileState.`getPersistentDataContainer()`
Returns a custom tag container capable of storing tags on the object.

## Uses of PersistentDataContainer in org.bukkit.persistence

Fields in org.bukkit.persistence with type parameters of type PersistentDataContainer
Modifier and Type
Field
Description
`static final PersistentDataType<PersistentDataContainer,PersistentDataContainer>`
PersistentDataType.`TAG_CONTAINER`
`static final PersistentDataType<PersistentDataContainer,PersistentDataContainer>`
PersistentDataType.`TAG_CONTAINER`
Methods in org.bukkit.persistence that return PersistentDataContainer
Modifier and Type
Method
Description
`@NotNull PersistentDataContainer`
PersistentDataHolder.`getPersistentDataContainer()`
Returns a custom tag container capable of storing tags on the object.
`@NotNull PersistentDataContainer`
PersistentDataAdapterContext.`newPersistentDataContainer()`
Creates a new and empty meta container instance.